//+------------------------------------------------------------------+
//|                                                            d.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"


#property indicator_buffers 1
#property indicator_color1 Red 

//---- input parameters
extern int       period=40;
extern int interval=1;
extern bool fibo;
double ExtMapBuffer1 [];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  SetIndexStyle (0,DRAW_LINE);

  SetIndexBuffer (0, ExtMapBuffer1);

  string short_name = "It's working";
  IndicatorShortName (short_name);
  
  
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
  {
   int    counted_bars=IndicatorCounted();
   if (counted_bars<0) return (-1);
   if (counted_bars>0) counted_bars--;
   int count2=0, pos = Bars-counted_bars;
   double pricearray[];
   double logprice[];
   double pricedif[][];
   double pricesum;
   double priceave, thisbar[], lastbar;
   double difsum, difave;
   while (pos>=0) 
      {
               pricearray[pos] = (Close[pos]*1000);
               logprice[pos] = MathLog(pricearray[pos]*1000);
               while (count2 <= period*interval)
               {
                  pricedif[pos][count2] = logprice[pos]-logprice[pos-count2*interval];
                  pricesum = pricedif[pos][count2] + pricesum;
                  count2++;
               }
               thisbar[pos] = Close[pos] ;
               ExtMapBuffer1[pos] = thisbar[pos];
              
               pos--;
      }
       
         
      
         
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+